/******************************************************************************
 * WebJavin - Java Web Framework.                                             *
 *                                                                            *
 * Copyright (c) 2011 - Sergey "Frosman" Lukjanov, me@frostman.ru             *
 *                                                                            *
 * Licensed under the Apache License, Version 2.0 (the "License");            *
 * you may not use this file except in compliance with the License.           *
 * You may obtain a copy of the License at                                    *
 *                                                                            *
 * http://www.apache.org/licenses/LICENSE-2.0                                 *
 *                                                                            *
 * Unless required by applicable law or agreed to in writing, software        *
 * distributed under the License is distributed on an "AS IS" BASIS,          *
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.   *
 * See the License for the specific language governing permissions and        *
 * limitations under the License.                                             *
 ******************************************************************************/

package ru.frostman.web.config;

import com.google.common.base.Objects;

/**
 * @author slukjanov aka Frostman
 */
public class SecureConfig {
    private String userServiceProvider = "ru.frostman.web.secure.impl.InMemoryUserServiceProvider";


    public String getUserServiceProvider() {
        return userServiceProvider;
    }

    public void setUserServiceProvider(String userServiceProvider) {
        this.userServiceProvider = userServiceProvider;
    }

    @Override
    public boolean equals(Object obj) {
        if (obj instanceof SecureConfig) {
            SecureConfig config = (SecureConfig) obj;

            return Objects.equal(userServiceProvider, config.userServiceProvider);
        }

        return false;
    }

    @Override
    public int hashCode() {
        return userServiceProvider != null ? userServiceProvider.hashCode() : 0;
    }
}
